import { SkeletonTemplateConfig, SkeletonTemplateComponent } from '../types';
import * as i0 from "@angular/core";
/**
 * Template de skeleton para tablas.
 *
 * @example
 * <val-skeleton-table [config]="{ columns: 5, rows: 10 }"></val-skeleton-table>
 */
export declare class TableSkeletonComponent implements SkeletonTemplateComponent {
    config: SkeletonTemplateConfig;
    get columns(): number[];
    get rows(): number[];
    getColumnFlex(index: number): string;
    getColumnContentWidth(index: number): string;
    static ɵfac: i0.ɵɵFactoryDeclaration<TableSkeletonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<TableSkeletonComponent, "val-skeleton-table", never, { "config": { "alias": "config"; "required": false; }; }, {}, never, never, true, never>;
}
